LSLOCKS(8)

BEZEICHNUNG
lslocks - lokale Systemsperren auflisten

ÜBERSICHT
lslocks [Optionen]

BESCHREIBUNG
lslocks zeigt Informationen zu allen aktuell gültigen Dateisperren auf einem Linux-System an.

OPTIONEN

-J, --json
    verwendet das JSON-Ausgabeformat.

-n, --noheadings
    unterdrückt die Ausgabe einer Kopfzeile.

-o, --output Liste
    legt die anzuzeigenden Spalten fest. Mit --help erhalten Sie eine Liste aller unterstützten Spalten. Die vorgegebene Liste der Spalten kann erweitert werden, wenn die Liste im Format +Liste angegeben wird (z.B. lsblk -o +UUID).

-p, --pid Prozess-ID
    zeigt nur die Sperren an, die vom Prozess mit dieser Prozess-ID eingerichtet wurden.

-r, --raw
    verwendet das Rohformat für die Ausgabe.

-u, --notruncate
    kürzt Text in Spalten nicht.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

-h, --help
    zeigt diese Hilfe an und beendet das Programm.

AUSGABE

BEFEHL
    Befehlsname des Prozesses, welcher die Sperre eingerichtet hat

PID Prozess-ID des Prozesses, welcher die Sperre eingerichtet hat

TYP Typ der Sperre; kann FLOCK sein (erzeugt mit flock(2)) oder POSIX (erzeugt mit fcntl(2) und lockf(3))

GRÖSSE
    Größe der gesperrten Datei

MODUS
    Zugriffsrechte der Sperre (Schreiben, Lesen). Falls der Prozess blockiert ist und auf die Sperre wartet, dann wird dem Modus ein Asterisk (*) angehängt.

M   gibt an, ob die Sperre obligatorisch ist; 0 bedeutet nein (Sperre ist nur beratend), 1 bedeutet ja (siehe fcntl(2))

START
    relativer Byte-Versatz der Sperre

ENDE
    End-Versatz der Sperre

PATH
    Full path of the lock. If none is found, or there are no permissions to read the path, it will fall back to the device's mountpoint. The path might be truncated; use --notruncate to get the full path.

BLOCKER
    Prozess-ID des Prozesses, welcher die Sperre blockiert

ANMERKUNGEN
Der Befehl lslocks soll den Befehl lslk(8) ersetzen, der original von
Victor A. Abell <abe@purdue.edu> entwickelt wurde und seit 2001
nicht mehr betreut wurde.

AUTOREN
Davidlohr Bueso <dave@gnu.org>

SIEHE AUCH
flock(1), fcntl(2), lockf(2)

VERFÜGBARKEIT
Der Befehl lslocks ist Teil des Pakets util-linux und kann von ftp://ftp.kernel.org/pub/linux/utils/util-linux/ heruntergeladen werden.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Dr. Tobias Quathamer <toddy@debian.org> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.